For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
        • GETGet required field names for invoice creation
        • POSTMark an invoice as paid
        • POSTMark an invoice as partially paid
        • POSTMark an invoice as uncollectible
        • POSTCancel an invoice
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Invoices

Get required field names for invoice creation

GET
/receivables/required_fields
GET
/v1/receivables/required_fields
$curl https://api.sandbox.monite.com/v1/receivables/required_fields \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "counterpart": {
3 "tax_id": {
4 "description": "The counterpart's taxpayer identification number or tax ID. For identification purposes, this field may be required for counterparts that are not VAT-registered.",
5 "required": false
6 },
7 "vat_id": {
8 "description": "The counterpart's VAT (Value Added Tax) identification number. This field is required for counterparts that are VAT-registered.",
9 "required": true
10 }
11 },
12 "entity": {
13 "tax_id": {
14 "description": "The entity's taxpayer identification number or tax ID. This field is required for entities that are non-VAT registered.",
15 "required": false
16 },
17 "vat_id": {
18 "description": "The entity's VAT (Value Added Tax) identification number. This field is required for entities that are VAT-registered.",
19 "required": true
20 }
21 },
22 "line_item": {
23 "measure_unit": {
24 "description": "Unit used to measure the quantity of the product (e.g. items, meters, kilograms)",
25 "required": true
26 },
27 "tax_rate_value": {
28 "description": "Percent minor units. Example: 12.5% is 1250. This field is only required on invoices issued by entities in the US, Pakistan, and other unsupported countries.",
29 "required": false
30 },
31 "vat_rate_id": {
32 "description": "Unique identifier of the vat rate object. This field is required for all entities in supported countries except the US and Pakistan.",
33 "required": true
34 }
35 }
36}
Get field requirements for invoice creation given the entity and counterpart details.
Was this page helpful?
Previous

Mark an invoice as paid

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

counterpart_idstringOptionalformat: "uuid"
counterpart_billing_address_idstringOptionalformat: "uuid"
counterpart_countryenumOptional
counterpart_typeenumOptional
Allowed values:
entity_vat_id_idstringOptionalformat: "uuid"
counterpart_vat_id_idstringOptionalformat: "uuid"

Response

Successful Response
counterpartobject
Object describing the required fields for counterpart
entityobject
Object describing the required fields for entity
line_itemobject
Object describing the required fields for line items

Errors

422
Get Receivables Required Fields Request Unprocessable Entity Error
500
Get Receivables Required Fields Request Internal Server Error